Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type
Enum OdfPresentationClasses

    java.lang.Object
      java.lang.Enum<OdfPresentationClasses>
          org.odftoolkit.odfdom.dom.type.OdfPresentationClasses

All Implemented Interfaces:
  Serializable, Comparable<OdfPresentationClasses>

    public enum OdfPresentationClasses

extends Enum<OdfPresentationClasses>

Enum Constant Summary
`CHART`
`DATE_TIME`
`FOOTER`
`GRAPHIC`
`HANDOUT`
`HEADER`
`NOTES`
`OBJECT`
`ORGCHART`
`OUTLINE`
`PAGE`
`PAGE_NUMBER`
`SUBTITLE`
`TABLE`
`TEXT`
`TITLE`

Method Summary
`static OdfPresentationClasses` | `enumValueOf(String _aString)`
`String` | `toString()`
`static String` | `toString(OdfPresentationClasses _aEnum)`
`static OdfPresentationClasses` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfPresentationClasses[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHART

    public static final OdfPresentationClasses CHART

### DATE_TIME

    public static final OdfPresentationClasses DATE_TIME

### FOOTER

    public static final OdfPresentationClasses FOOTER

### GRAPHIC

    public static final OdfPresentationClasses GRAPHIC

### HANDOUT

    public static final OdfPresentationClasses HANDOUT

### HEADER

    public static final OdfPresentationClasses HEADER

### NOTES

    public static final OdfPresentationClasses NOTES

### OBJECT

    public static final OdfPresentationClasses OBJECT

### ORGCHART

    public static final OdfPresentationClasses ORGCHART

### OUTLINE

    public static final OdfPresentationClasses OUTLINE

### PAGE

    public static final OdfPresentationClasses PAGE

### PAGE_NUMBER

    public static final OdfPresentationClasses PAGE_NUMBER

### SUBTITLE

    public static final OdfPresentationClasses SUBTITLE

### TABLE

    public static final OdfPresentationClasses TABLE

### TEXT

    public static final OdfPresentationClasses TEXT

### TITLE

    public static final OdfPresentationClasses TITLE

Method Detail

### values

    public static OdfPresentationClasses[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfPresentationClasses c : OdfPresentationClasses.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfPresentationClasses valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<OdfPresentationClasses>`

### toString

    public static String toString(OdfPresentationClasses _aEnum)

### enumValueOf

    public static OdfPresentationClasses enumValueOf(String _aString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.